EFI(4)

NAME
efi - Unified Extensible Firmware Interface

SYNOPSIS
# amd64
efi* at bios?

# arm64
efi* at fdt?

DESCRIPTION
The efi driver provides support for EFI runtime services offered by UEFI firmware implementations. It can read and write the Real Time Clock and provides userland applications ioctl(2) access to the System Resource Table and to read and write variables.

FILES
/dev/efi

SEE ALSO
ioctl(2), intro(4)

HISTORY
The efi device driver first appeared for arm64 in OpenBSD 6.3. Support for amd64, the ESRT and EFI variables appeared in OpenBSD 7.3.

AUTHORS
-nosplit The efi driver was written by Mark Kettenis <kettenis@openbsd.org>. Support for the ESRT and EFI variables is heavily based on work done by Sergii Dmytruk <sergii.dmytruk@3meb.com>.